%define upstream_name    POE-Component-Logger
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-Log-Dispatch-Config >= 0.100.0
BuildRequires:  perl-POE >= 0.110.0
BuildArch: 	noarch


Requires: 	perl-POE >= 0.11
Requires:   perl-Log-Dispatch-Config >= 0.10

%description 
%{upstream_name} module for perl.  A highly flexible logger component
for POE that uses Log::Dispatch and Log::Dispatch::Config for
ultimate flexibility and power.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
CFLAGS="$RPM_OPT_FLAGS" make PREFIX=%{_prefix}


%install
make PREFIX="$RPM_BUILD_ROOT%{_prefix}" install

%files
%defattr(444,root,root,755)
%doc README META.yml
%_mandir/*/*
%{perl_vendorlib}/POE/Component

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-9pclos2017
- rebuild against updates

